$.fn.dataTableExt.oApi.fnGetFilteredNodes = function ( oSettings )
{
	var anRows = [];
	for ( var i=0, iLen=oSettings.aiDisplay.length ; i<iLen ; i++ )
	{
		var nRow = oSettings.aoData[ oSettings.aiDisplay[i] ].nTr;
		anRows.push( nRow );
	}
	return anRows;
};

$.fn.dataTableExt.oApi.fnDisplayRow = function ( oSettings, nRow )
{
	var iPos = -1;
	for( var i=0, iLen=oSettings.aiDisplay.length ; i<iLen ; i++ )
	{
		if( oSettings.aoData[ oSettings.aiDisplay[i] ].nTr == nRow )
		{
			iPos = i;
			break;
		}
	}
	
	if( iPos >= 0 )
	{
		oSettings._iDisplayStart = ( Math.floor(i / oSettings._iDisplayLength) ) * oSettings._iDisplayLength;
		this.oApi._fnCalculateEnd( oSettings );
	}
	
	this.oApi._fnDraw( oSettings );
};

jQuery.fn.dataTableExt.oSort['uk_date-asc']  = function(a,b) {
	var ukDatea = $(a).val().split('/');
	var ukDateb = $(b).val().split('/');
	
	var x = (ukDatea[2] + ukDatea[1] + ukDatea[0]) * 1;
	var y = (ukDateb[2] + ukDateb[1] + ukDateb[0]) * 1;
	
	return ((x < y) ? -1 : ((x > y) ?  1 : 0));
};

jQuery.fn.dataTableExt.oSort['uk_date-desc'] = function(a,b) {
	var ukDatea = $(a).val().split('/');
	var ukDateb = $(b).val().split('/');
	
	var x = (ukDatea[2] + ukDatea[1] + ukDatea[0]) * 1;
	var y = (ukDateb[2] + ukDateb[1] + ukDateb[0]) * 1;
	
	return ((x < y) ? 1 : ((x > y) ?  -1 : 0));
};

function initializeColumnFilters(config) {
	var tableClass = config['tableClass'];
	var dataTable = config['dataTable'];	
	var oFC = config['fixedColumns'];		
	
	$(oFC.dom.clone.left.header).find("thead input.filter").each(function(index, item){
		var filterDefaultValue = "Search " + jQuery.trim($(oFC.dom.clone.left.header).find('.header:eq(' + index + ')').text()); 
		$(this).val(filterDefaultValue);
	});		
	
	$('.dataTables_scrollHead').find("thead input.filter").each(function(index, item){
		var filterDefaultValue = "Search " + jQuery.trim($('.dataTables_scrollHead').find('.header:eq(' + index + ')').text()); 
		$(this).val(filterDefaultValue);
	});		
	
	$("thead input.filter").live("focus click", function (event) {		
		if ( $(this).hasClass("search_init") )
		{
			$(this).removeClass("search_init");
			$(this).data('original', this.value);
			this.value = "";
		}
	} );
	
	$("thead input").live("blur", function (i) {
		if ( this.value == "" )
		{
			$(this).addClass("search_init");
			this.value = $(this).data('original');
		}
	} );
	
	$("thead input.filter").keyup( function () {		
		dataTable.fnFilter( jQuery.trim(this.value), this.id );		
	} );
	
}